#define F_CPU 16000000UL

#include <stdio.h>
#include <string.h>
#include <stdlib.h>	
#include <avr/io.h>
#include <avr/iom32.h>
#include <avr/eeprom.h>
#include <avr/interrupt.h>
#include <util/delay.h>

#include "LCD_4x16.h"
#include "dos.h"			
#include "fat.h"			
#include "dosdefs.h"						
#include "mmc_spi.h"
#include "dir.h"
#include "find_x.h"


int main (void)
{


DDRB = (0 << DDB0) | (1 << DDB1) | (1 << DDB2) | (1 << DDB3); 
DDRC = 0xFF;		//	alle Pins von Port C auf Ausgabe

	lcd_init(_2LINE,_7DOT);		//	zweireihiges Display, 7 Pixel Zeichenhhe
	clrscr();
	home();
	
	MMC_IO_Init();
	
	             
	if(GetDriveInformation()!=F_OK) // get drive parameters
	{
		put_lcd_xy(5,0, "Fehler");   
	}
	else {
		put_lcd_xy(5,0, "keine Fehler");
	}

} //end main()